<?php

//Clase de Paises
class clase_tas_iva
{
  	var $nom_tabla = 'dxtasiva';
  	var  $cve_iva = '0';
	var  $tip_iva = '0';
	var  $fec_vig = '0';
	var  $conc_iva = '0';
	var  $porc_iva = '0';
	var  $cta_iva_ppa = '0';
	var  $cta_iva_acr = '0';
	var  $cta_iva_ppa_nc = '0';
	var  $cta_iva_acr_np = '0';
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE tip_iva = '$this->tip_iva' and conc_iva like '$this->conc_iva' and fec_vig = '$this->fec_vig'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (tip_iva, fec_vig, conc_iva, porc_iva, cta_iva_ppa, cta_iva_acr,cta_iva_ppa_nc,cta_iva_acr_np  )values('$this->tip_iva', '$this->fec_vig','$this->conc_iva', '$this->porc_iva','$this->cta_iva_ppa', '$this->cta_iva_acr','$this->cta_iva_ppa_nc', '$this->cta_iva_acr_np')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cve_iva){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cve_iva = '$cve_iva'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($cve_iva){
		$sql = "UPDATE $this->nom_tabla SET tip_iva = '$this->tip_iva', fec_vig='$this->fec_vig', conc_iva='$this->conc_iva', porc_iva='$this->porc_iva', cta_iva_ppa='$this->cta_iva_ppa', cta_iva_acr='$this->cta_iva_acr',cta_iva_ppa_nc='$this->cta_iva_ppa_nc',cta_iva_acr_np='$this->cta_iva_acr_np' WHERE cve_iva='$cve_iva'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($cve_iva){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cve_iva= '$cve_iva'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>